org.eclipse.emf.facet.widgets.celleditors.ecore.composite

## Class BooleanCompositeFactory

- java.lang.Object
- - org.eclipse.emf.facet.widgets.celleditors.ecore.composite.BooleanCompositeFactory

All Implemented Interfaces:
  ICompositeEditorFactory<java.lang.Boolean>

    public class BooleanCompositeFactory
    extends java.lang.Object
    implements ICompositeEditorFactory<java.lang.Boolean>

### Constructor Summary

Constructors
Constructor and Description
`BooleanCompositeFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AbstractCellEditorComposite<java.lang.Boolean>` `createCompositeEditor(Composite parent, int style)` Create a cell editor composite for a value of type <T>, as a subclass of `AbstractCellEditorComposite`, which is a SWT `Composite` suited for use as an in-place editor for values of type <T>.
`java.lang.Class<java.lang.Boolean>` `getHandledType()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BooleanCompositeFactory

    public BooleanCompositeFactory()

### Method Detail

#### createCompositeEditor

    public AbstractCellEditorComposite<java.lang.Boolean> createCompositeEditor(Composite parent,
                                                                                int style)

Description copied from interface: `ICompositeEditorFactory`
Create a cell editor composite for a value of type <T>, as a subclass of `AbstractCellEditorComposite`, which is a SWT `Composite` suited for use as an in-place editor for values of type <T>.

Specified by:
  `createCompositeEditor` in interface `ICompositeEditorFactory<java.lang.Boolean>`
Parameters:
  `parent` - the SWT parent of the new composite
  `style` - SWT style bits (`SWT#BORDER`, etc.)
Returns:
  the new cell editor composite

#### getHandledType

    public java.lang.Class<java.lang.Boolean> getHandledType()

Specified by:
  `getHandledType` in interface `ICompositeEditorFactory<java.lang.Boolean>`
Returns:
  the type handled by the composite editors created by this factory. This method is required because of type erasure with Java generics.